Subject: bug#59334: 29.0.50; loading native-compiled init file sets user-init-file to .eln

From: Juanma Barranquero <[email-masked]>
Date: Fri, 18 Nov 2022 13:40:44 +0100

On Fri, Nov 18, 2022 at 1:33 PM Eli Zaretskii <[email-masked]> wrote:

> It could be part of startup if the forced loading of "init.el" is in
> the code inside user's init file itself.  Crazy, I know, but not
> impossible.

I suppose I'm not devious enough to think of that possibility ;-)

> I think we should compare the extensions case-insensitively, but other
> than that, this LGTM.

Hmm. I can use `string-equal-ignore-case', if you want, but the original
code was already checking for "el" case-sensitively.

If so, do you want it just when checking for .eln, or for .el above also?